Skip to content

Gets all of the stores in the system.

Request

This method will scan all stores and and return them to the caller.

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed.

Query
fieldsstring

The fields that you want to retrieve; if omitted, the entire object is returned.

exclusiveStartKeystring

The start key, if you're making a subsequent request

curl -i -X GET \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/stores/{tenantId}?fields=string&exclusiveStartKey=string' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

The storeswere retrieved successfully.

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
Array [
allow_customer_to_choose_installment_planboolean(Allow Customer To Choose Installment Plan)

If true, the customer can choose their installment plan

bank_account_idstring(Bank Account)required

The default bank account that the store should use to receive payments

bill_my_organization_optionsobject(Bill My Organization Options)
bill_my_parent_organization_optionsobject(Bill My Parent Organization Options)
business_unit_idstring(Business Unit)required

The business unit of the store

cancellation_confirmation_settingsobject(Cancellation Confirmation Settings)required
cancellation_fee_product_idstring(Cancellation Fee Product)

The ID of the product used for cancellation fees

category_idsArray of strings(Categories)required
category_inclusionstring(Category Inclusion)
Enum:"include all but specified""include all categories""include only specified"
certification_course_optionsobject(Certification Course Options)required
certification_exam_optionsobject(Certification Exam Options)required
checkout_donation_optionsobject(Checkout Donation Options)required
credit_card_minimum_range_endnumber, (float)(Credit Card Minimum Range End)

If set, the maximum amount for which credit cards can be taken

credit_card_minimum_range_startnumber, (float)(Credit Card Minimum Range Start)

If set, the minimum amount for which credit cards can be taken

credit_card_modestring(Credit Card Mode)

Determines whether or not credit cards are accepted

Enum:"disabled""enabled""range"
credit_card_processing_fee_modestring(Credit Card Processing Fee Mode)

Determines how credit card processing fees should be handled

Enum:"charge""do not charge""prompt user"
credit_card_processing_fee_optionsobject(Credit Card Processing Fee Options)required
default_certification_course_image_uristring(Default Certification Course Image Uri)

The image to display in the store for courses

default_certification_exam_image_uristring(Default Certification Exam Image Uri)

The image to display in the store for exams

default_event_registration_image_uristring(Default Event Registration Image Uri)

The image to display in the store for event registrations

default_membership_package_image_uristring(Default Membership Package Image Uri)

The image to display in the store for membership

default_merchandise_image_uristring(Default Merchandise Image Uri)

The default image to show for products with no image

default_product_sortstring(Default Product Sort)
Enum:"alphabetical ascending""alphabetical descending""newest items""price ascending""price descending""sort order"
disable_electronic_payment_vaultingboolean(Disable Electronic Payment Vaulting)

If set, in the portal people are not allowed to save credit cards

enable_bill_my_organizationboolean(Enable Bill My Organization)

If set, the user has the option to bill their organization

enable_bill_my_parent_organizationboolean(Enable Bill My Parent Organization)

If set, the user has the option to bill their organization's parent organization

enable_donations_at_checkoutboolean(Enable Donations At Checkout)

If selected, users will be prompted to make a donation upon checking out

enable_electronic_checksboolean(Enable Electronic Checks)

If set, electronic checks are allowed

enable_pay_laterboolean(Enable Pay Later)

If set, pay later is enabled on this checkout regardless of product settings... if not, the product settings are observed

enable_payroll_deductionboolean(Enable Payroll Deduction)

If set, payroll deduction is allowed

enable_split_paymentsboolean(Enable Split Payments)

If set, users are allowed to split payments

event_registration_optionsobject(Event Registration Options)required
home_category_idstring(Home Category)

The "home" category of products to display when someone lands on the store

idstring(ID)^[\w|-]+$required

The unique, string identifier of this store

installment_plan_optionsArray of objects, non-emptyrequired
invoice_payment_terms_idstring(Invoice Payment Terms)

The payment terms for invoices; if left blank, default is used

invoice_template_idstring(Invoice Template)

The template to use for invoices created during this process

invoice_terms_idstring(Invoice Terms)

Default invoice terms for non-electronic payments made to the store

is_activeboolean(Is Active)

Whether or not this store is active

membership_package_optionsobject(Membership Package Options)required
merchant_account_idstring(Merchant Account)required

The merchant account that the store should use to receive payments

namestring(Name)required

The name of the store

order_confirmation_settingsobject(Order Confirmation Settings)required
override_cancellation_confirmation_emailboolean(Override Cancellation Confirmation Email)

If set, you can override the text of the confirmation email

override_order_confirmation_emailboolean(Override Order Confirmation Email)

If set, you can override the text of the confirmation email

override_return_confirmation_emailboolean(Override Return Confirmation Email)

If set, you can override the text of the confirmation email

override_shipment_confirmation_emailboolean(Override Shipment Confirmation Email)

If set, you can override the text of the shipment email

pay_later_optionsobject(Pay Later Options)
restocking_fee_product_idstring(Restocking Fee Product)

The ID of the product used for restocking fees

return_confirmation_settingsobject(Return Confirmation Settings)required
sell_certification_coursesboolean(Sell Certification Courses)

If set, this store sells certification courses

sell_certification_examsboolean(Sell Certification Exams)

If set, this store sells certification exams

sell_event_registration_packagesboolean(Sell Event Registration Packages)

If set, this store sells event registration packages

sell_membership_packagesboolean(Sell Membership Packages)

If set, this store sells membership packages

shipment_confirmation_settingsobject(Shipment Confirmation Settings)required
special_instructionsstring(Special Instructions)

Instructions shown to the user

sys_bulk_load_atstring(Sys Bulk Load At)

If this record was loaded via bulk, the timestamp when the record was processed

sys_bulk_load_idstring(Sys Bulk Load)

If this record was loaded via bulk, the ID of the bulk load process

sys_bulk_load_pkstring(Sys Bulk Load Pk)

If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key

sys_bulk_load_record_nonumber, (float)(Sys Bulk Load Record No)

If this record was loaded via bulk, the record number in the source file

sys_bulk_load_source_filestring(Sys Bulk Load Source File)

If this record was loaded via bulk, the source file

sys_calculated_field_errorstring(Sys Calculated Field Error)

The error associated with the calculated field

sys_calculated_field_errorsArray of objects
sys_configuration_snapshot_idstring(Sys Configuration Snapshot)

If a snapshot was restored/applies to this record, the ID of the snapshot

sys_created_atstring, (date-time)(Sys Created At)required

The date/time that this record was created, expressed in ISO-8601 date format

sys_created_by_idstring(Sys Created By)required

The ID of the user that created this record

sys_deleted_by_idstring(Sys Deleted By)

The ID of the user that deleted (or last tried to delete) this object

sys_directivestring(Sys Directive)

Means for passing directive information into an object processing logic

sys_external_idstring(Sys External)

The ID that a record has from an external system or data import

sys_has_files_in_s3boolean(Sys Has Files In S3)

If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion

sys_last_bulk_data_operation_idstring(Sys Last Bulk Data Operation)

If this record was last touched by a bulk data operation, the ID of that operation

sys_last_bulk_data_operation_sys_versionstring(Sys Last Bulk Data Operation Sys Version)

If this record was last touched by a bulk data operation, the sys_version at the time of that operation

sys_last_modified_atstring, (date-time)(Sys Last Modified At)required

The date/time that this record record was last modified, expressed in ISO-8601 date format

sys_last_modified_by_idstring(Sys Last Modified By)required

The ID of the user that last modified this record

sys_last_security_contextobject(Sys Last Security Context)

The security context of the last insert, modify, or delete performed on this item

sys_lockedboolean(Sys Locked)

If set, this record is locked and cannot be changed via the API

sys_snapshot_base_versionnumber, (float)(Sys Snapshot Base Version)

The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox

sys_versionnumber, (float)(Sys Version)

A number representing the version of this record in the database

use_pro_forma_invoicesboolean(Use Pro Forma Invoices)

Whether to use pro forma invoices when user elects to pay later

]
Response
[ { "allow_customer_to_choose_installment_plan": true, "bank_account_id": "string", "bill_my_organization_options": { … }, "bill_my_parent_organization_options": { … }, "business_unit_id": "string", "cancellation_confirmation_settings": { … }, "cancellation_fee_product_id": "string", "category_ids": [ … ], "category_inclusion": "include all but specified", "certification_course_options": { … }, "certification_exam_options": { … }, "checkout_donation_options": { … }, "credit_card_minimum_range_end": 0.1, "credit_card_minimum_range_start": 0.1, "credit_card_mode": "disabled", "credit_card_processing_fee_mode": "charge", "credit_card_processing_fee_options": { … }, "default_certification_course_image_uri": "string", "default_certification_exam_image_uri": "string", "default_event_registration_image_uri": "string", "default_membership_package_image_uri": "string", "default_merchandise_image_uri": "string", "default_product_sort": "alphabetical ascending", "disable_electronic_payment_vaulting": true, "enable_bill_my_organization": true, "enable_bill_my_parent_organization": true, "enable_donations_at_checkout": true, "enable_electronic_checks": true, "enable_pay_later": true, "enable_payroll_deduction": true, "enable_split_payments": true, "event_registration_options": { … }, "home_category_id": "string", "id": "string", "installment_plan_options": [ … ], "invoice_payment_terms_id": "string", "invoice_template_id": "string", "invoice_terms_id": "string", "is_active": true, "membership_package_options": { … }, "merchant_account_id": "string", "name": "string", "order_confirmation_settings": { … }, "override_cancellation_confirmation_email": true, "override_order_confirmation_email": true, "override_return_confirmation_email": true, "override_shipment_confirmation_email": true, "pay_later_options": { … }, "restocking_fee_product_id": "string", "return_confirmation_settings": { … }, "sell_certification_courses": true, "sell_certification_exams": true, "sell_event_registration_packages": true, "sell_membership_packages": true, "shipment_confirmation_settings": { … }, "special_instructions": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ … ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "use_pro_forma_invoices": true } ]